import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Spin } from './components/spin';
export var SpinComponent = Intact.decorate(Spin, 'k-spin');
var components = [SpinComponent];
var SpinModule = /** @class */ (function () {
    function SpinModule() {
    }
    SpinModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], SpinModule);
    return SpinModule;
}());
export { SpinModule };